#if !defined(CANTRCV_H)
#define CANTRCV_H

/***包含头文件***/
#include "CanTrcv_Cfg.h"

/***收发器模块类据类型***/
typedef enum
{
	CANTRCV_UNINIT = 0u,
  	CANTRCV_NORMAL,
    CANTRCV_STANDBY	
    
}CanTrcv_WorkModeType; 

typedef enum
{
	CANTRCV_WAKE_BY_NONE = 0u,
  	CANTRCV_WAKE_BY_BUS,
    CANTRCV_WAKE_BY_PIN,
    CANTRCV_WAKE_BY_PIN_BUS
    	
}CanTrcv_WakeReasonType;

typedef enum
{
	CANTRCV_WAKE_VIA_NONE = 0u,
  	CANTRCV_WAKE_VIA_BUS,
    CANTRCV_WAKE_VIA_PIN,
    CANTRCV_WAKE_VIA_ALL	
    
}CanTrcv_WakeModeType;
/***API接口***/
extern void ReInitCanTrcv_Parameter(void);
extern void CanTrcv_MainFunction(void);
extern void InitCanTrcv_Parameter(void);
extern void DeInitCanTrcv_Parameter(void);
extern void GetCanTrcv_WorkMode(CanTrcv_WorkModeType *LeCanTrcv_e_WorkModePtr);
extern void SetCanTrcv_WorkMode(CanTrcv_WorkModeType LeCanTrcv_e_WorkMode);
extern void GetCanTrcv_WakeReason(CanTrcv_WakeReasonType *LeCanTrcv_e_WakeReasonPtr);
extern void ClearCanTrcv_WakeReason(void);
extern void SetCanTrcv_WakeMode(CanTrcv_WakeModeType LeCanTrcv_e_WakeMode);
extern void GetCanTrcv_WakeMode(CanTrcv_WakeModeType *LeCanTrcv_e_WakeModePtr);





#endif